Bug 172408 - UnitLE does not respond to 'U+000A'(New Line)
UnitLE does not respond to 'U+000A'(New Line)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: im-sdk (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
: i18n
Depends On: 132936
Blocks: 109000 IIIMF 168429
  Show dependency treegraph
 
Reported: 2005-11-03 19:15 EST by Lawrence Lim
Modified: 2014-03-25 20:52 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2006-0119
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 13:36:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2005-11-03 19:15:07 EST
+++ This bug was initially created as a clone of Bug #132936 +++

Description of problem:
In the UNICODE-HEX mode, the UnitLE does not respond to Unicode
'U+000A'(New Line).

Version-Release number of selected component (if applicable):

iiimf-gnome-im-switcher-12.1-13.EL.2
iiimf-le-canna-12.1-13.EL.2
iiimf-x-12.1-13.EL.2
iiimf-le-xcin-0.1.7-11
iiimf-libs-12.1-13.EL.2
iiimf-docs-12.1-13.EL.2
iiimf-le-hangul-12.1-13.EL.2
iiimf-emacs-12.1-13.EL.2
iiimf-le-sun-thai-12.1-13.EL.2
iiimf-libs-devel-12.1-13.EL.2
iiimf-csconv-12.1-13.EL.2
iiimf-gtk-12.1-13.EL.2
iiimf-server-12.1-13.EL.2
iiimf-le-chinput-0.3-16
iiimf-le-unit-12.1-13.EL.2

How reproducible:
Always

Steps to Reproduce:
1.Start UnitLE in UNICODE-HEX (Toggle on then F5)
2.enter '000a'
3.
  
Actual results:
Nothing happens

Expected results:
Cursor move to the next line

Additional info:

-- Additional comment from wtogami@redhat.com on 2004-09-20 01:04 EST --
Within which apps have you tested?

-- Additional comment from llim@redhat.com on 2004-09-20 01:34 EST --
Tested with gedit.

-- Additional comment from llch@redhat.com on 2004-09-28 03:16 EST --
Need to read into codepoint module. Assigning to Jatin for now.

-- Additional comment from tagoh@redhat.com on 2005-04-15 03:58 EST --
Fixed in CVS. the package will be avilable in next build.

-- Additional comment from llim@redhat.com on 2005-04-25 23:41 EST --
Confirmed fixed in iiimf-le-unit-12.2-0.1.svn2578.


Thanks.
Comment 1 Lawrence Lim 2005-11-03 20:07:01 EST
This is feature required to LSB Internationalisation Runtime Interactive Test.
Comment 3 Jens Petersen 2005-11-30 03:30:11 EST
A patch has been committed into pkg cvs for rhel4 to address this issue.
Comment 6 Red Hat Bugzilla 2006-03-07 13:36:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0119.html

Note You need to log in before you can comment on or make changes to this bug.